/* Mathematik C fuer Informatikstudierende -- Serie 7 -- 15.12.2013
   Anna Schleimer, Thure Duehrsen
   Aufgabe 7.3: Vektoriteration
*/


#ifndef MY_HEADER_VECTOR

#define MY_HEADER_VECTOR

#include "Tuple.h"
#include <math.h>

typedef struct tmp_VectorOfDouble {
  unsigned int    length; /* Laenge des Vektors, > 0 */
  TupleOfDouble   values; /* Eintraege des Vektors   */
} VectorOfDouble;

VectorOfDouble   VectorOfDouble_Create  (unsigned int);

void             VectorOfDouble_CopyValues  (VectorOfDouble, VectorOfDouble);
VectorOfDouble   VectorOfDouble_Copy  (VectorOfDouble);

void             VectorOfDouble_Destroy (VectorOfDouble*); 

VectorOfDouble   VectorOfDouble_Create_Sin  (unsigned int, unsigned int); 

void             VectorOfDouble_Print (VectorOfDouble);

double           VectorOfDouble_GetEntry_0 (VectorOfDouble, unsigned int);
double           VectorOfDouble_GetEntry_1 (VectorOfDouble, unsigned int);

void             VectorOfDouble_SetEntry_0 (VectorOfDouble,
                                            unsigned int,
                                            double);

void             VectorOfDouble_SetEntry_1 (VectorOfDouble,
                                            unsigned int,
                                            double);

void             VectorOfDouble_Add (VectorOfDouble,
				     VectorOfDouble,
				     VectorOfDouble); /* neu, fertig*/

void             VectorOfDouble_Sub (VectorOfDouble,
				     VectorOfDouble,
				     VectorOfDouble); /* neu, fertig */

double           VectorOfDouble_ScalarProduct (VectorOfDouble,
					       VectorOfDouble);

double           VectorOfDouble_Norm (VectorOfDouble);

void             VectorOfDouble_Scale (VectorOfDouble, double);

void             VectorOfDouble_Normalise (VectorOfDouble);

/* noch weitere Operationen auf Vektoren definieren? */
/* Vektoreintraege im laufenden Programm eingeben */
/* im "double"^3 ein Kreuzprodukt berechnen? */
/* vielleicht auch weitere Skalarprodukte und Normen?
   Auch solche Normen, die nicht durch ein Skalarprodukt induziert sind ?*/
/* man koennte auch von einem Vektor der Laenge a und einem der Laenge
   b die Komponenten "aneinanderhaengen" und so einen Vektor der
   Laenge a+b erhalten */




/* hier kommen spater noch andere Arten von Vektoren hin, z.B. Vektoren
   rationaler Zahlen
 */

#endif
